Page MenuHome

Multi-Object-Editing: intersect boolean (MESH_OT_intersect_boolean)
ClosedPublic

Authored by Nick Milios (semaphore) on May 9 2018, 8:57 PM.

Diff Detail

Repository
rB Blender

Event Timeline

Nick Milios (semaphore) created this revision.
Nick Milios (semaphore) retitled this revision from Multi-Object-Editing: Intersect (MESH_OT_intersect) to Multi-Object-Editing: Inset boolean (MESH_OT_intersect_boolean).May 9 2018, 9:03 PM
source/blender/editors/mesh/editmesh_intersect.c
270

i missed that

Nick Milios (semaphore) retitled this revision from Multi-Object-Editing: Inset boolean (MESH_OT_intersect_boolean) to Multi-Object-Editing: intersect boolean (MESH_OT_intersect_boolean).May 10 2018, 1:35 PM
Dalai Felinto (dfelinto) requested changes to this revision.May 11 2018, 12:19 PM

As commented on D3307:

  • Missing freeing objects.
  • Missing skip when no relevant element is selected (or is this not relevant in this case?)
This revision now requires changes to proceed.May 11 2018, 12:19 PM
Dalai Felinto (dfelinto) requested changes to this revision.May 14 2018, 1:01 PM

The patch is failing to apply. Can you please re-submit it with arcanist?
https://wiki.blender.org/index.php/Dev:Doc/Tools/Code_Review#Use_Arcanist

Use --update D3306 to update this patch instead of adding a new one.

This revision now requires changes to proceed.May 14 2018, 1:01 PM
  1. Updating D3306: Multi-Object-Editing: intersect boolean (MESH_OT_intersect_boolean) #
  2. Enter a brief description of the changes included in this update.
  3. The first line is used as subject, next lines as comment. #
  4. If you intended to create a new revision, use:
  5. $ arc diff --create

Rebase using arc

This revision was not accepted when it landed; it landed in state Needs Review.May 16 2018, 12:31 PM
This revision was automatically updated to reflect the committed changes.

Committed, by the way I had to fix the skip test.
You were checking for totvert (never relevant by the way, totvertsel is what you meant I suppose), but in this case it should be totfacesel.

Thanks for your contribution.